using Microsoft.Extensions.Logging;

// This file is part of the EonaCat project(s) which is released under the Apache License.
// See the LICENSE file or go to https://EonaCat.com/License for full license details.

namespace EonaCat.Logger.EonaCatCoreLogger
{
    public class HttpLoggerProvider : ILoggerProvider
    {
        private readonly HttpLoggerOptions _options;

        public HttpLoggerProvider(HttpLoggerOptions options = null)
        {
            if (options == null)
            {
                options = new HttpLoggerOptions();
            }
            _options = options;
        }

        public ILogger CreateLogger(string categoryName)
        {
            return new HttpLogger(categoryName, _options);
        }

        public void Dispose()
        {
            // No unmanaged resources, nothing to dispose here
        }
    }
}
